UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMRawTimestamp Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMRawTimestamp:

## Public Member Functions
void | set (long s, long m) throws LBMSDMException
| LBMSDMRawTimestamp () throws LBMSDMException
| LBMSDMRawTimestamp (long s, long m) throws LBMSDMException
| LBMSDMRawTimestamp (String s) throws LBMSDMException
long | get_sec () throws LBMSDMException
long | get_usec () throws LBMSDMException
String | toString ()
int | format (byte[] buf, int offset) throws LBMSDMException
int | parse (byte[] buf, int offset) throws LBMSDMException
LBMSDMRawTimestamp | clone () throws CloneNotSupportedException
String | toDbgString ()
void | set_debug_level (int level)
void | log (String s)

## Static Public Attributes
static int | length = 8
static final int | DEBUG_BASIC = 1
static final int | DEBUG_VERBOSE_PARSING = 2

## Protected Attributes
int | debug_level = 0

## Detailed Description

An LBMSDMRawTimestamp is a helper class to minimise the effort of formatting and parsing Timestamps. A Timestamp is the number of seconds and microseconds since Unix epoch

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.LBMSDMRawTimestamp | ( |  | ) | throws LBMSDMException

Create a raw timestamp field, defaulting to 0

Referenced by com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.clone().

com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.LBMSDMRawTimestamp | ( | long | s,
|  | long | m
| ) |  | throws LBMSDMException

Set a raw timestamp field providing the seconds and microseconds since UNIX epoch

Parameters

  s | The number of seconds since epoch
  m | The number of microseconds since epoch

Exceptions

  LBMSDMUnsignedException | if an unsigned value is passed in

com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.LBMSDMRawTimestamp | ( | String | s | ) | throws LBMSDMException

Set a raw timestamp field providing a string formatted timestamp

Parameters

  s | The string containing the time ("sec.micro" or "now")

Exceptions

  LBMSDMUnsignedException | if an unsigned value is passed in

## Member Function Documentation

LBMSDMRawTimestamp com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.clone | ( |  | ) | throws CloneNotSupportedException

Get a copy of this object

Returns
  A copy of the uint64

References com.latencybusters.lbm.sdm.LBMSDMRawUint32.clone(), com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.clone(), and com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.LBMSDMRawTimestamp().

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.clone(), com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.parse(), and com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.set().

int com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.format | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException

Format the raw timestamp value into a byte buffer

Parameters

  buf | The buffer to contain the formatted value
  offset | The offset in to the buffer to start formatting

Returns
  The offset after formatting this object

References com.latencybusters.lbm.sdm.LBMSDMRawUint32.format(), and com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.length.

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.format(), and com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.format().

long com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.get_sec | ( |  | ) | throws LBMSDMException

Get the number of seconds since epoch

Returns
  The number of seconds since epoch

long com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.get_usec | ( |  | ) | throws LBMSDMException

Get the number of microseconds since the start of the current second

Returns
  The number of seconds since the start of the current second

void com.latencybusters.lbm.sdm.LBMSDM.log | ( | String | s | ) |
| inherited

Log an event. If debug level is set greater than 0, output to stderr

Referenced by com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.set(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.set(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.set(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.set(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set().

int com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.parse | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException

Parse the raw timestamp value from a byte buffer

Parameters

  buf | The buffer that contains the formatted value
  offset | The offset in to the buffer to start parsing

Returns
  the new offset after parsing the field

References com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.length, and com.latencybusters.lbm.sdm.LBMSDMRawUint32.parse().

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.parse().

void com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.set | ( | long | s,
|  | long | m
| ) |  | throws LBMSDMException

Set a uint32 field providing the value as a long

Parameters

  s | The number of seconds since epoch
  m | The number of microseconds since epoch

Exceptions

  LBMSDMUnsignedException | if an unsigned value is passed in

References com.latencybusters.lbm.sdm.LBMSDMRawUint32.set().

void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

String com.latencybusters.lbm.sdm.LBMSDMRaw.toDbgString | ( |  | ) |
| inherited

Get a debug string for this object. This is not expected to be called and exists for child classes.

Returns
  returns null - derived classes override with their value

Referenced by com.latencybusters.lbm.sdm.LBMSDMBadRawObjectException.LBMSDMBadRawObjectException().

String com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.toString | ( |  | ) |

Get a string version of a timestamp

Returns
  A string representation of the timestamp in the format, "seconds.microseconds", which is not a floating point representation of the time.

## Member Data Documentation

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_BASIC = 1
| static inherited

Debug flag for basic debug output

int com.latencybusters.lbm.sdm.LBMSDM.debug_level = 0
| protected inherited

Debug mask for SDM implementation.

See also
  set_debug_level

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMessage.parse(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.parse(), and com.latencybusters.lbm.sdm.LBMSDMArrayMessage.parse().

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_VERBOSE_PARSING = 2
| static inherited

Debug flag for verbose message parsing output

int com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.length = 8
| static

The number of bytes needed to store a raw LBMSDMRawTimestamp

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.append(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.fixed_size(), com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.format(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.LBMSDMArrayTimestamp(), and com.latencybusters.lbm.sdm.LBMSDMRawTimestamp.parse().

The documentation for this class was generated from the following file:

- LBMSDMRawTimestamp.java